@mixin make-height($s) {
    @for $i from 0 to 101 {
        #{$s}h-#{$i}{
             height: #{ 0.25 * $i}rem;
        }
    }

    #{$s}h-auto {
        height: auto;
    }
    #{$s}h-min {
        height: min-content;
    }
    #{$s}h-max {
        height: max-content;
    }
    #{$s}h-fit {
        height: fit-content;
    }
    #{$s}h-px {
        height: 1px;
    }

    #{$s}h-25pr {
        height: 25%;
    }
    #{$s}h-50pr {
        height: 50%;
    }
    #{$s}h-75pr {
        height: 75%;
    }
    #{$s}h-100pr {
        height: 100%;
    }

    #{$s}min-h-initial {
        min-height: initial;
    }
    #{$s}min-h-0 {
        min-height: 0;
    }

    #{$s}min-h-min {
        min-height: min-content;
    }
    #{$s}min-h-max {
        min-height: max-content;
    }
    #{$s}min-h-fit {
        min-height: fit-content;
    }

    #{$s}min-h-25pr {
        min-height: 25%;
    }
    #{$s}min-h-50pr {
        min-height: 50%;
    }
    #{$s}min-h-75pr {
        min-height: 75%;
    }
    #{$s}min-h-100pr {
        min-height: 100%;
    }

    @for $i from 0 to 101 {
        #{$s}max-h-#{$i}{
            max-height: #{ 0.25 * $i}rem;
        }
    }

    #{$s}max-h-initial {
        max-height: initial;
    }
    #{$s}max-h-0{
        max-height: 0;
    }
    #{$s}max-h-25pr {
        max-height: 25%;
    }
    #{$s}max-h-50pr {
        max-height: 50%;
    }
    #{$s}max-h-75pr {
        max-height: 75%;
    }
    #{$s}max-h-100pr {
        max-height: 100%;
    }

    #{$s}max-h-25vh {
        max-height: 25vh;
    }
    #{$s}max-h-50vh {
        max-height: 50vh;
    }
    #{$s}max-h-75vh {
        max-height: 75vh;
    }
    #{$s}max-h-100vh {
        max-height: 100vh;
    }

    #{$s}max-h-min {
        max-height: min-content;
    }
    #{$s}max-h-max {
        max-height: max-content;
    }
    #{$s}max-h-fit {
        max-height: fit-content;
    }
}